com.tibbo.aggregate.common.action.command

## Class ShowGuide

- java.lang.Object
- - com.tibbo.aggregate.common.action.GenericActionCommand
  - - com.tibbo.aggregate.common.action.command.ShowGuide

- All Implemented Interfaces:
    ActionCommand, java.lang.Cloneable

      public class ShowGuide
      extends GenericActionCommand

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CF_INVOKER_CONTEXT`
    `static java.lang.String` | `CF_MACRO_NAME`
    `static TableFormat` | `CFT_SHOW_GUIDE`

    - ### Fields inherited from class com.tibbo.aggregate.common.action.GenericActionCommand

      `CF_COMPONENT_LOCATION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShowGuide()`
    `ShowGuide(java.lang.String title, DataTable parameters)`
    `ShowGuide(java.lang.String title, java.lang.String invokerContext, java.lang.String macroName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected DataTable` | `constructParameters()`
    `java.lang.String` | `getInvokerContext()`
    `java.lang.String` | `getMacroName()`
    `void` | `setInvokerContext(java.lang.String invokerContext)`
    `void` | `setMacroName(java.lang.String macroName)`

    - ### Methods inherited from class com.tibbo.aggregate.common.action.GenericActionCommand

      `clone, createDefaultResponse, equals, getComponentLocation, getParameters, getRequestId, getResponseFormat, getTitle, getType, hashCode, isBatchEntry, isInteractive, isLast, isResponseValid, setBatchEntry, setComponentLocation, setComponentLocation, setInteractive, setLast, setParameters, setRequestId, setTitle, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CF_INVOKER_CONTEXT

          public static final java.lang.String CF_INVOKER_CONTEXT

      See Also:
        Constant Field Values

    - #### CF_MACRO_NAME

          public static final java.lang.String CF_MACRO_NAME

      See Also:
        Constant Field Values

    - #### CFT_SHOW_GUIDE

          public static final TableFormat CFT_SHOW_GUIDE

  - ### Constructor Detail

    - #### ShowGuide

          public ShowGuide()

    - #### ShowGuide

          public ShowGuide(java.lang.String title,
                           java.lang.String invokerContext,
                           java.lang.String macroName)

    - #### ShowGuide

          public ShowGuide(java.lang.String title,
                           DataTable parameters)

  - ### Method Detail

    - #### constructParameters

          protected DataTable constructParameters()

      Overrides:
        `constructParameters` in class `GenericActionCommand`

    - #### getInvokerContext

          public java.lang.String getInvokerContext()

    - #### setInvokerContext

          public void setInvokerContext(java.lang.String invokerContext)

    - #### getMacroName

          public java.lang.String getMacroName()

    - #### setMacroName

          public void setMacroName(java.lang.String macroName)